Subject: [AAA-WG]: Changes to Diameter NASreq draft 15 & 16

From: David Mitton <[email-masked]>
Date: Tue, 22 Jun 2004 11:10:59 -0400

Edits to draft 15/16 Diameter-Nasreq
6/22/2004
Document Editor: David Mitton

Changes in Draft 15
- Update document dates & version
- Update David Spence info
- Fix Acct-Session-ID in ABNFs
- Remove table entry for Termination-Action
- Add reference to Base Termination-Cause
- Re-add missing code points for NAS-Port-Type
- correct header levels for LAT services

- Tunnel-Client-Auth-ID, Tunnel-Server-Auth-ID defined as UTF8Strings
	(Was Unsigned32 in table, OctetString in description)
- Tunnel-Private-Group-ID OctetString
- Pg 60, Sect 9.1, Session-Timout - Remove phrase "I guess the safest
bet is to"

----------
Issues:

Issue 431 - Identities in RADIUS Translation, Pasi Eronen

1&2) State attribute should contain
Diameter/<Origin-Host>/<Origin-Realm>/<Session-Id>

3) State content building should be consistent
4) Fix section 9.3 for Origin-Host to identify NAS source, not gateway
5) Corrected.  Though it may introduce an ambiguity in routing.
6) Origin-Realm	from NAS FQDN and admin	table

  Changed text in sect 9 wrt to session retention
	Improve mapping of target identities RADIUS/Diameter

- A Session-Id AVP must be created by the agent
- Use "/" character to separate Origin-Host and Session-ID in State

- Origin-Host AVP should contain best verified info on NAS identity
	(not the gateway)

Issue 451 - Interim vs. STOP Record, Avi Lior
	a) Compromise - add text to allow Stop/Start as service specific
	b) Editorial correction Accepted

Issue 452 - Accounting Session-Id in ACA Command, Avi Lior
	Accepted: Corrected AVP name

Issue 453 - Problem with Accounting Session-Id and Session-Id, Avi Lior
	Accepted: Acct-Session-Id cannot be put in Diam Session-Id
			Acct-Session-Id is an accepted Diameter AVP.
			A RADIUS/Diameter gateway will have to assign & track
			Diameter Session-Ids.
			
Issue 454 - Diameter NASREQ conflict with Base, Bernard Aboba
	Close: Text already changed in draft 14

Issue 457 - Editorial NIT in NASREQ-14, Johan Hermans
	Accepted: Updated Service-Type list

Issue 462 - Typo in NASREQ-14, Ignacio Goyret
	Accepted: Tunnel-Client-Auth-Id type bug

Issue ?? - Section 6.10 restricts use of IP service AVPs to a specific
	list of Framed-Protocol values, which has changed.
	Accepted: the list has been removed.
		Similar list removed from IPX and ARAP sections

=======
Changes in Draft 16

Input from List, AD, prior IESG, Process changes

- Update document dates & version
- Changed Abstract to conform to process of RFC3667
- Added text to Abstract and Overview that RADIUS interactions apply
to all Diameter applications.
- added reference to UTF-8 reference
- clarified sect 9.1 sentence wrt decryption and forwarding of
User-Password
- Update EAP and CC	draft version references
- Change IPR and copyright statments to current format
per RFC3667

---

From: Bernard Aboba <[email-masked]>
Date: Tue, 22 Jun 2004 08:24:56 -0700 (PDT)

Thanks for posting this.  Can you also make the Application-ID changes and
submit a -17?